Bug 816873 - Colon (:) and semicolon (;) in search fields cause unexpected behaviour
Colon (:) and semicolon (;) in search fields cause unexpected behaviour
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: 1.6-beta-1
Assigned To: David Mason
Joyce Chang
Depends On:
  Show dependency treegraph
Reported: 2012-04-27 04:41 EDT by David Mason
Modified: 2013-03-03 22:19 EST (History)
2 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-alpha-3-SNAPSHOT (20120510-0019).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-21 20:58:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-04-27 04:41:01 EDT
Description of problem:
When entering : or ; in search fields, the search is cut short, and in some cases unexpected navigation behaviour is caused.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Sign in and navigate to the project-wide search page of the editor
2.Enter "test; search" in the search field and press Enter
3.Enter "example;view:doc" in the search field and press Enter
Actual results:
2.Search text is replaced with "test" and a search results for "test" are returned (if any exist)
3.Page changes to another view

Expected results:
Search text is not cut off regardless which characters are entered. Navigation is never influenced by search text.

Additional info:
Comment 1 David Mason 2012-04-27 04:42:26 EDT
This was caused by lack of escaping of ; and : which are used to separate different bookmarkable components such as current view, current document and current search text in the URL.

These have now been properly escaped.

See https://github.com/zanata/zanata/commit/dde6a6263cb7041ebe9b9aa1059ec3bb1b6d5cc3
Comment 2 Joyce Chang 2012-05-10 01:33:51 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120510-0019).

Note You need to log in before you can comment on or make changes to this bug.